@import 'settings';
@import '~object-fit-images/preprocessors/mixin.sass';

@mixin container {
    position: relative;
    margin: 0 auto;
    padding: 0 15px;

    @media #{$tablet} {
        max-width: $container-width;
    }
}

@mixin clearfix($flexbox:0) {
    &::before,
    &::after {
        content: ' ';
        display: table;

        @if $flexbox {
            flex-basis: 0;
            order: 1;
        }
    }

    &::after {
        clear: both;
    }
}

@mixin grid-overlay($position:relative) {
    position: $position;

    &::after {
        content: '';
        position: absolute;
        z-index: 0;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url('/s/assets/img/overlay-pattern2.png');
        background-repeat: repeat;
    }
}

@mixin circle-logo($size, $e-color: $blue) {
    display: block;
    position: relative;
    width: $size;
    transform: translate3d(0, 0, 0) rotate(-45deg);

    svg {
        width: 100%;
        height: 100%;
        transform: translate3d(-13%, -5%, 0);

        .st0,
        .cls-1 {
            fill: $e-color;
        }
    }
}

@mixin show-text-logo-only {
    .CircleLogo {
        display: none !important;
    }

    .TextLogo {
        display: block !important;
        opacity: 1 !important;
    }
}

// Theme variations - these change depending on the background and are set by
// the 'ColorTheme' component
@mixin color-theme($icon-fg, $logo-fg, $e-fg, $hover-fg) {
    .TextLogo {
        svg {
            .st0,
            .cls-1 {
                fill: $logo-fg;
            }

            .cls-2 {
                fill: $e-fg;
            }
        }
    }

    .MainNav__button {
        color: $icon-fg;

        @media #{$tablet-up} {
            &:hover {
                color: $hover-fg;
            }
        }
    }

    .Home__scroll-nav {
        &__button {
            border-color: $icon-fg;

            &:not(.active) {
                background: $icon-fg;
            }
        }
    }

    .OverlayWorkNav {
        &__button {
            color: $icon-fg;

            @if $icon-fg == white {
                background: transparent;
            }
        }
    }

    .MainNav__top-nav {
        a,
        button {
            color: $icon-fg;

            &:hover,
            &.active {
                color: $hover-fg;

                @if $icon-fg == white {
                    color: $blue;
                }
            }
        }
    }

    .CloseButton {
        color: $icon-fg;

        &:hover {
            color: $hover-fg;

            @if $icon-fg == white {
                color: $blue;
            }
        }
    }
}

@mixin ratio-16-9 {
    display: block;
    width: 100%;
    padding-bottom: 56.25%; // 16:9
}
